> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Brands

> This endpoint is used to list all brands associated with your organization.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/messaging-10dlc/brands.yml get /10dlc/brand
openapi: 3.1.0
info:
  title: Telnyx 10DLC Brands API
  version: 2.0.0
  description: API for 10DLC brand management.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /10dlc/brand:
    get:
      tags:
        - Brands
      summary: List Brands
      description: >-
        This endpoint is used to list all brands associated with your
        organization.
      operationId: GetBrands
      parameters:
        - required: false
          schema:
            title: Page
            minimum: 1
            type: integer
            default: 1
          name: page
          in: query
        - description: number of records per page. maximum of 500
          required: false
          schema:
            title: Recordsperpage
            type: integer
            description: number of records per page. maximum of 500
            default: 10
          name: recordsPerPage
          in: query
        - name: sort
          required: false
          schema:
            title: Sort
            description: >-
              Specifies the sort order for results. If not given, results are
              sorted by created_at in descending order.
            type: string
            enum:
              - assignedCampaignsCount
              - '-assignedCampaignsCount'
              - brandId
              - '-brandId'
              - createdAt
              - '-createdAt'
              - displayName
              - '-displayName'
              - identityStatus
              - '-identityStatus'
              - status
              - '-status'
              - tcrBrandId
              - '-tcrBrandId'
            default: '-createdAt'
          description: >-
            Specifies the sort order for results. If not given, results are
            sorted by createdAt in descending order.
          example: '-identityStatus'
          in: query
        - required: false
          schema:
            title: Displayname
            type: string
          name: displayName
          in: query
        - required: false
          schema:
            title: Entitytype
            type: string
          name: entityType
          in: query
        - required: false
          schema:
            title: State
            type: string
          name: state
          in: query
        - required: false
          schema:
            title: Country
            type: string
          name: country
          in: query
        - name: brandId
          schema:
            title: BrandId
            type: string
            example: 826ef77a-348c-445b-81a5-a9b13c68fbfe
          in: query
          description: Filter results by the Telnyx Brand id
          required: false
        - name: tcrBrandId
          schema:
            title: TCRBrandId
            type: string
            example: BBAND1
          in: query
          description: Filter results by the TCR Brand id
          required: false
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrandRecordSetCSP'
        4XX:
          $ref: '#/components/responses/10dlc_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const brandListResponse of
            client.messaging10dlc.brand.list()) {
              console.log(brandListResponse.identityStatus);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.messaging_10dlc.brand.list()
            page = page.records[0]
            print(page.identity_status)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.Messaging10dlc.Brand.List(context.TODO(), telnyx.Messaging10dlcBrandListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.messaging10dlc.brand.BrandListPage;
            import com.telnyx.sdk.models.messaging10dlc.brand.BrandListParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    BrandListPage page = client.messaging10dlc().brand().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.messaging_10dlc.brand.list

            puts(page)
        - lang: CLI
          source: |-
            telnyx messaging-10dlc:brand list \
              --api-key 'My API Key'
components:
  schemas:
    BrandRecordSetCSP:
      title: BrandRecordSetCSP
      type: object
      properties:
        records:
          title: Records
          type: array
          items:
            $ref: '#/components/schemas/BrandBasic'
        page:
          title: Page
          type: integer
          example: 1
        totalRecords:
          title: Totalrecords
          type: integer
          example: 1
    BrandBasic:
      title: ListedBrand
      type: object
      properties:
        brandId:
          type: string
          description: Unique identifier assigned to the brand.
          example: 4b206179-f731-8ab7-f19c-34e19d22ide9
        tcrBrandId:
          type: string
          description: Unique identifier assigned to the brand by the registry.
          example: BBRAND1
        entityType:
          $ref: '#/components/schemas/EntityType'
        identityStatus:
          $ref: '#/components/schemas/BrandIdentityStatus'
        companyName:
          type: string
          description: (Required for Non-profit/private/public) Legal company name.
          example: Example Company Inc.
        displayName:
          type: string
          description: Display or marketing name of the brand.
          example: Example Company
        email:
          type: string
          description: Valid email address of brand support contact.
          example: examplename@examplecompany.com
        website:
          type: string
          description: Brand website URL.
          example: www.examplecompany.com
        failureReasons:
          title: failureReasons
          description: Failure reasons for brand
          type: string
        status:
          title: status
          description: Status of the brand
          enum:
            - OK
            - REGISTRATION_PENDING
            - REGISTRATION_FAILED
          type: string
        createdAt:
          type: string
          description: Date and time that the brand was created at.
          example: '2021-03-08T17:57:48.801186'
        updatedAt:
          type: string
          description: Date and time that the brand was last updated at.
          example: '2021-03-08T17:57:48.801186'
        assignedCampaingsCount:
          type: integer
          description: Number of campaigns associated with the brand
          example: 2
    10dlc_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/10dlc_Error'
      type: object
    EntityType:
      title: EntityType
      enum:
        - PRIVATE_PROFIT
        - PUBLIC_PROFIT
        - NON_PROFIT
        - GOVERNMENT
        - SOLE_PROPRIETOR
      description: >-
        Entity type behind the brand. This is the form of business
        establishment.
      example: PRIVATE_PROFIT
      type: string
    BrandIdentityStatus:
      title: BrandIdentityStatus
      enum:
        - VERIFIED
        - UNVERIFIED
        - SELF_DECLARED
        - VETTED_VERIFIED
      description: The verification status of an active brand
      type: string
    10dlc_Error:
      required:
        - code
        - title
      type: object
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
  responses:
    10dlc_GenericErrorResponse:
      description: Generic response error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/10dlc_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````